﻿using System;
using System.Windows.Media;

namespace C4Tools
{
    class C4Item
    {
        public string Name { get; set; }
        public int Id { get; set; }
        public int @Type { get; set; }
    }

    class C4Room : C4Item { }

    class C4NetworkBinding
    {
        public int DeviceId { get; set; }
        public int Id { get; set; }
        public int @Type { get; set; }
        public string Addr { get; set; }
        public string Uuid { get; set; }
        public string Status { get; set; }
    }

    class C4Movie
    {
        public string Title { get; set; }
        public string Genre { get; set; }
        public string Rating { get; set; }
        public string ReleaseDate { get; set; }
        public string Cast { get; set; }
        public string Directors { get; set; }
        public int Id { get; set; }
        public int DeviceId { get; set; }
        public String Location { get; set; }
        public String CoverLocation { get; set; }
        private ImageSource _Cover;
        public ImageSource Cover {
            get
            {
                if (_Cover==null)
                {
                    _Cover = new System.Windows.Media.Imaging.BitmapImage(new Uri(CoverLocation));
                }
                return _Cover;
            }
        }
    }
}
